Package com.independentsoft.office.odf

# Class CoveredCell

java.lang.Object
com.independentsoft.office.odf.Cell
com.independentsoft.office.odf.CoveredCell

All Implemented Interfaces:
  `IContentElement`

public class CoveredCell extends Cell
Represents a cells that are covered by an object that spans multiple columns or rows.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.Cell

  `booleanValue, content, contentValidation, currency, dateValue, formula, isProtected, matrixColumnsSpannedCount, matrixRowsSpannedCount, numberOfRepeatedCells, numericValue, stringValue, style, timeValue, type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CoveredCell()`
  Initializes a new instance of the CoveredCell class.
  `CoveredCell​(boolean value)`
  Initializes a new instance of the CoveredCell class.
  `CoveredCell​(double value)`
  Initializes a new instance of the CoveredCell class.
  `CoveredCell​(String value)`
  Initializes a new instance of the CoveredCell class.
  `CoveredCell​(String value, CellValueType type)`
  Initializes a new instance of the CoveredCell class.
  `CoveredCell​(Date value)`
  Initializes a new instance of the CoveredCell class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CoveredCell`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<ICellContent>`
  `getContent()`
  Gets the content.
  `String`
  `getContentValidation()`
  Specifies if a cell contains a validity check.
  `String`
  `getFormula()`
  Gets the formula for a table cell.
  `int`
  `getMatrixColumnsSpannedCount()`
  Gets the number of columns spanned by a matrix.
  `int`
  `getMatrixRowsSpannedCount()`
  Gets the number of rows spanned by a matrix.
  `int`
  `getNumberOfRepeatedCells()`
  Gets the number of successive columns in which a cell is repeated.
  `String`
  `getStyle()`
  Gets the style of table cell.
  `CellValueType`
  `getType()`
  Gets the value-type of a table cell, a text field, or a form property.
  `String`
  `getValue()`
  Gets the currency, float or percentage value for a table cell, a text field, or a form property.
  `void`
  `setContentValidation​(String contentValidation)`
  Specifies if a cell contains a validity check.
  `void`
  `setFormula​(String formula)`
  Sets the formula for a table cell.
  `void`
  `setMatrixColumnsSpannedCount​(int matrixColumnsSpannedCount)`
  Sets the number of columns spanned by a matrix.
  `void`
  `setMatrixRowsSpannedCount​(int matrixRowsSpannedCount)`
  Sets the number of rows spanned by a matrix.
  `void`
  `setNumberOfRepeatedCells​(int numberOfRepeatedCells)`
  Sets the number of successive columns in which a cell is repeated.
  `void`
  `setStyle​(String style)`
  Sets the style of table cell.
  `void`
  `setType​(CellValueType type)`
  Sets the value-type of a table cell, a text field, or a form property.
  `void`
  `setValue​(String value)`
  Sets the currency, float or percentage value for a table cell, a text field, or a form property.
  `String`
  `toString()`
  Converts the value of the current CoveredCell object to its equivalent string representation.

  ### Methods inherited from class com.independentsoft.office.odf.Cell

  `getContentElements, getCurrency, getParent, getSpannedColumnsCount, getSpannedRowsCount, setCurrency, setParent, setSpannedColumnsCount, setSpannedRowsCount`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CoveredCell

    public CoveredCell()
    Initializes a new instance of the CoveredCell class.

  - ### CoveredCell

    public CoveredCell​(String value, CellValueType type)
    Initializes a new instance of the CoveredCell class.
    Parameters:
      `value` - the value
      `type` - the type

  - ### CoveredCell

    public CoveredCell​(String value)
    Initializes a new instance of the CoveredCell class.
    Parameters:
      `value` - the value

  - ### CoveredCell

    public CoveredCell​(double value)
    Initializes a new instance of the CoveredCell class.
    Parameters:
      `value` - the value

  - ### CoveredCell

    public CoveredCell​(boolean value)
    Initializes a new instance of the CoveredCell class.
    Parameters:
      `value` - the value

  - ### CoveredCell

    public CoveredCell​(Date value)
    Initializes a new instance of the CoveredCell class.
    Parameters:
      `value` - the value

- ## Method Details

  - ### clone

    public CoveredCell clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Overrides:
      `clone` in class `Cell`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current CoveredCell object to its equivalent string representation.
    Overrides:
      `toString` in class `Cell`
    Returns:
      the string

  - ### getContent

    public List<ICellContent> getContent()
    Description copied from class: `Cell`
    Gets the content.
    Overrides:
      `getContent` in class `Cell`
    Returns:
      the content

  - ### getNumberOfRepeatedCells

    public int getNumberOfRepeatedCells()
    Gets the number of successive columns in which a cell is repeated. It may be used to describe two or more adjoining cells with a single cell element, if they meet the following conditions: - The cells contain the same content and style. - The cells are not merged horizontally or vertically.
    Overrides:
      `getNumberOfRepeatedCells` in class `Cell`
    Returns:
      the number of repeated cells

  - ### setNumberOfRepeatedCells

    public void setNumberOfRepeatedCells​(int numberOfRepeatedCells)
    Sets the number of successive columns in which a cell is repeated. It may be used to describe two or more adjoining cells with a single cell element, if they meet the following conditions: - The cells contain the same content and style. - The cells are not merged horizontally or vertically.
    Overrides:
      `setNumberOfRepeatedCells` in class `Cell`
    Parameters:
      `numberOfRepeatedCells` - the new number of repeated cells

  - ### getMatrixColumnsSpannedCount

    public int getMatrixColumnsSpannedCount()
    Gets the number of columns spanned by a matrix.
    Overrides:
      `getMatrixColumnsSpannedCount` in class `Cell`
    Returns:
      the matrix columns spanned count

  - ### setMatrixColumnsSpannedCount

    public void setMatrixColumnsSpannedCount​(int matrixColumnsSpannedCount)
    Sets the number of columns spanned by a matrix.
    Overrides:
      `setMatrixColumnsSpannedCount` in class `Cell`
    Parameters:
      `matrixColumnsSpannedCount` - the new matrix columns spanned count

  - ### getMatrixRowsSpannedCount

    public int getMatrixRowsSpannedCount()
    Gets the number of rows spanned by a matrix.
    Overrides:
      `getMatrixRowsSpannedCount` in class `Cell`
    Returns:
      the matrix rows spanned count

  - ### setMatrixRowsSpannedCount

    public void setMatrixRowsSpannedCount​(int matrixRowsSpannedCount)
    Sets the number of rows spanned by a matrix.
    Overrides:
      `setMatrixRowsSpannedCount` in class `Cell`
    Parameters:
      `matrixRowsSpannedCount` - the new matrix rows spanned count

  - ### getFormula

    public String getFormula()
    Gets the formula for a table cell.
    Overrides:
      `getFormula` in class `Cell`
    Returns:
      the formula

  - ### setFormula

    public void setFormula​(String formula)
    Sets the formula for a table cell.
    Overrides:
      `setFormula` in class `Cell`
    Parameters:
      `formula` - the new formula

  - ### getStyle

    public String getStyle()
    Gets the style of table cell.
    Overrides:
      `getStyle` in class `Cell`
    Returns:
      the style

  - ### setStyle

    public void setStyle​(String style)
    Sets the style of table cell.
    Overrides:
      `setStyle` in class `Cell`
    Parameters:
      `style` - the new style

  - ### getContentValidation

    public String getContentValidation()
    Specifies if a cell contains a validity check. The value of this attribute is a name found in the name attribute of a ContentValidation. If this attribute is not present, a cell may have arbitrary content.
    Overrides:
      `getContentValidation` in class `Cell`
    Returns:
      the content validation

  - ### setContentValidation

    public void setContentValidation​(String contentValidation)
    Specifies if a cell contains a validity check. The value of this attribute is a name found in the name attribute of a ContentValidation. If this attribute is not present, a cell may have arbitrary content.
    Overrides:
      `setContentValidation` in class `Cell`
    Parameters:
      `contentValidation` - the new content validation

  - ### getType

    public CellValueType getType()
    Gets the value-type of a table cell, a text field, or a form property.
    Overrides:
      `getType` in class `Cell`
    Returns:
      the type

  - ### setType

    public void setType​(CellValueType type)
    Sets the value-type of a table cell, a text field, or a form property.
    Overrides:
      `setType` in class `Cell`
    Parameters:
      `type` - the new type

  - ### getValue

    public String getValue()
    Gets the currency, float or percentage value for a table cell, a text field, or a form property.
    Overrides:
      `getValue` in class `Cell`
    Returns:
      the value

  - ### setValue

    public void setValue​(String value)
    Sets the currency, float or percentage value for a table cell, a text field, or a form property.
    Overrides:
      `setValue` in class `Cell`
    Parameters:
      `value` - the new value